<template>
  <a-tree v-bind="getBindValue">
    <template #[item]="data" v-for="item in Object.keys($slots)" :key="item">
      <slot :name="item" v-bind="data || {}"></slot>
    </template>
  </a-tree>
</template>
<script lang="ts">
  import { computed, defineComponent } from 'vue';

  export default defineComponent({
    name: 'NsTree',
    setup(props, { attrs }) {
      const getBindValue = computed(() => ({
        ...attrs,
        ...props,
      }));
      return { getBindValue };
    },
  });
</script>
<style lang="less" scoped></style>
